<?php
/**
 * Demos Admin page.
 *
 * @package woocommerce-page-builder
 */
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
?>
<div class="wrap about-wrap woocommerce-page-builder-wrap">
	<?php WooCommercePageBuilder_Admin::header(); ?>
	
	<?php if ( WooCommercePageBuilder_Manager()->registration->is_registered() ) : ?>
		<?php 
		if( class_exists('WooCommercePageBuilder_Improt_Demo') ){
			WooCommercePageBuilder_Improt_Demo::output();
		}
		?>
	<?php else : ?>
		<div class="woocommerce-page-builder-important-notice" style="border-left: 4px solid #dc3232;">
			<h3 style="color: #dc3232; margin-top: 0;"><?php esc_html_e( 'The Demos Can Only Be Imported With A Valid Token Registration', 'dt_woocommerce_page_builder' ); ?></h3>
			<?php /* translators: "Product Registration" link. */ ?>
			<p><?php printf( esc_html__( 'Please visit the %s page and enter a valid token to import the full Demos.', 'dt_woocommerce_page_builder' ), '<a href="' . esc_url_raw( admin_url( 'admin.php?page=woocommerce-page-builder-registration' ) ) . '">' . esc_attr__( 'Registration', 'dt_woocommerce_page_builder' ) . '</a>' ); ?></p>
		</div>
	<?php endif; ?>
	
	<?php WooCommercePageBuilder_Admin::footer(); ?>
</div>