<?php
/**
 * Registration Admin page.
 *
 * @package woocommerce-page-builder
 */
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
?>
<div class="wrap about-wrap  woocommerce-page-builder-wrap">
	<?php WooCommercePageBuilder_Admin::header(); ?>
	
	<div class="feature-section woocommerce-page-builder-registration">
		<div class="woocommerce-page-builder-important-notice">
			<p class="about-description">
			<?php
			if ( WooCommercePageBuilder_Manager()->registration->is_registered() ) {
				esc_html_e( 'Thank you for choosing WooCommerce Page Builder! Your product is already registered, so you have access to the Demos, auto updates and Settings WooCommerce page templates.', 'dt_woocommerce_page_builder' );
			} else {
				esc_html_e( 'Thank you for choosing WooCommerce Page Builder! Your product must be registered to receive the Demos, auto updates and to unlock full Settings option. Please follow the instructions below to create a valid token.', 'dt_woocommerce_page_builder' );
			}
			?>
			</p>
		</div>
		<?php 
		/*
		 * Print the registration form.
		 */
		WooCommercePageBuilder_Manager()->registration->the_form(); ?>
	</div>
	
	<?php WooCommercePageBuilder_Admin::footer(); ?>
</div>